View Issue Details

IDProjectCategoryView StatusLast Update
0006681CentOS-6sambapublic2013-09-29 12:04
Reporterarm 
PrioritynormalSeveritycrashReproducibilityhave not tried
Status resolvedResolutionno change required 
Product Version6.3 
Target VersionFixed in Version 
Summary0006681: nmbd dies at startup
Descriptionit fits with all the data of the bug http://bugs.centos.org/view.php?id=6419
TagsNo tags attached.

Activities

toracat

toracat

2013-09-27 15:30

manager   ~0018081

... but was not fixed by a newer version of the selinux packages as described in the upstream bugzilla 913762 ?
arm

arm

2013-09-27 15:57

reporter   ~0018083

No, it was not fixed by an SELinux update
toracat

toracat

2013-09-27 16:14

manager   ~0018085

You indicated your system is running CentOS6.3. Is this correct? Please post the output returned by:

rpm -qa samba\* selinux\* | sort

uname -mr
arm

arm

2013-09-27 17:01

reporter   ~0018088

Thanks, this is the output of the commands
[root@localhost /]# rpm -qa samba\* selinux\* | sort
samba-3.6.9-151.el6_4.1.x86_64
samba4-libs-4.0.0-55.el6.rc4.x86_64
samba-client-3.6.9-151.el6_4.1.x86_64
samba-common-3.6.9-151.el6_4.1.x86_64
samba-winbind-3.6.9-151.el6_4.1.x86_64
samba-winbind-clients-3.6.9-151.el6_4.1.x86_64
selinux-policy-3.7.19-195.el6_4.12.noarch
selinux-policy-targeted-3.7.19-195.el6_4.12.noarch

[root@localhost /]# uname -mr
2.6.32-279.el6.x86_64 x86_64
arm

arm

2013-09-27 17:16

reporter   ~0018089

Sorry, now that I watch /etx/issue it is centos 6.4
toracat

toracat

2013-09-27 17:39

manager   ~0018090

Last edited: 2013-09-27 18:27

View 2 revisions

samba and selinux packages are up to date but your kernel is from CentOS 6.3. Is there a particular reason why you should stay at that "ancient" kernel? There are a number of known vulnerabilities (and bugs that have been fixed since) with old kernels. You really want to update the kernel.

arm

arm

2013-09-27 17:56

reporter   ~0018091

Does not the "yum update" command update the kernel?
I guess is the kernel that it had when I install the system, could it have any relation with the samba problem?
tigalch

tigalch

2013-09-27 18:39

manager   ~0018092

yes, it usually does. Unless you exclude the kernel from updates (did you add anything re. the kernel to /ect/yum.conf?). Or you did never reboot the system since installation :)
arm

arm

2013-09-27 18:53

reporter   ~0018094

I never reboot the system, its an intranet file server, the last time the system reboot was after the samba installation jaja
tigalch

tigalch

2013-09-27 18:57

manager   ~0018095

well that explains the running kernel.
arm

arm

2013-09-27 19:04

reporter   ~0018096

The nmb service actually never worked, I hardcoded the name of the machine on the dns server, but now I want to send documents directly from a Scanner through smb and it does not list the server jaja
arm

arm

2013-09-28 12:46

reporter   ~0018099

After executing a yum update and reboot:
[root@localhost /]# uname -r
2.6.32-358.18.1.el6.x86_64
[root@localhost /]# yum update
Loaded plugins: fastestmirror, refresh-packagekit, security
Loading mirror speeds from cached hostfile
 * base: centos.xfree.com.ar
 * extras: centos.xfree.com.ar
 * updates: centos.xfree.com.ar
Setting up Update Process
No Packages marked for Update
tigalch

tigalch

2013-09-28 17:52

manager   ~0018100

Have you been able to verify if the failing daemon is due to the mentioned SELinux issue, maybe the missing directory under /var or if there is anything else in the logs?
arm

arm

2013-09-28 19:44

reporter   ~0018101

Actually it doesnt work yet, in the logs it is the same, it fails to write on /var/nmbd because of the permission issues
tigalch

tigalch

2013-09-28 19:57

manager   ~0018103

are the permission issues on file level or SElinux related?
please post the output ot the log when starting the daemon and also of 'ls -al /var'
arm

arm

2013-09-28 21:08

reporter   ~0018104

this is the content of the log after the start of the service:
[2013/09/28 17:04:29, 0] nmbd/nmbd.c:861(main)
  nmbd version 3.6.9-151.el6_4.1 started.
  Copyright Andrew Tridgell and the Samba Team 1992-2011
[2013/09/28 17:04:29, 0] lib/util_sock.c:1343(create_pipe_sock)
  invalid permissions on socket directory /var/nmbd
[2013/09/28 17:04:29, 0] nmbd/nmbd_packets.c:48(nmbd_init_packet_server)

And this is the otput of 'ls -al /var'
[root@localhost /]# ls -al /var
total 92
drwxr-xr-x. 23 root root 4096 sep 27 08:12 .
dr-xr-xr-x. 26 root root 4096 sep 28 00:02 ..
drwxr-xr-x. 2 root root 4096 jul 17 2012 account
drwxr-xr-x. 18 root root 4096 ago 19 11:57 cache
drwxr-xr-x. 2 root root 4096 jun 5 06:06 crash
drwxr-xr-x. 2 root root 4096 sep 21 2012 cvs
drwxr-xr-x. 3 root root 4096 ago 19 11:15 db
drwxr-xr-x. 3 root root 4096 ago 19 11:40 empty
drwxr-xr-x. 2 root root 4096 sep 23 2011 games
drwxrwx--T. 2 root gdm 4096 feb 21 2013 gdm
drwxr-xr-x. 46 root root 4096 ago 19 11:42 lib
drwxr-xr-x. 2 root root 4096 sep 23 2011 local
drwxrwxr-x. 5 root lock 4096 sep 28 03:35 lock
lrwxrwxrwx. 1 root root 9 sep 27 08:12 locks -> /var/lock
drwxr-xr-x. 14 root root 4096 sep 28 00:02 log
lrwxrwxrwx. 1 root root 10 ago 19 11:08 mail -> spool/mail
drwxr-xr-x. 2 root root 4096 sep 23 2011 nis
drwxrwxrwx. 2 root root 4096 ago 25 06:23 nmbd
drwxr-xr-x. 2 root root 4096 sep 23 2011 opt
drwxr-xr-x. 2 root root 4096 sep 23 2011 preserve
drwxr-xr-x. 37 root root 4096 sep 28 08:44 run
drwxr-xr-x. 14 root root 4096 ago 19 16:29 spool
drwxrwxrwt. 2 root root 4096 sep 27 12:56 tmp
drwxr-xr-x. 8 root root 4096 ago 13 13:30 www
drwxr-xr-x. 3 root root 4096 ago 19 11:26 yp
tigalch

tigalch

2013-09-29 08:26

manager   ~0018105

I just fired up a fresh installation of C6 x64 and installed samba:
samba-3.6.9-151.el6_4.1.x86_64
samba4-libs-4.0.0-55.el6.rc4.x86_64
samba-client-3.6.9-151.el6_4.1.x86_64
samba-common-3.6.9-151.el6_4.1.x86_64
samba-winbind-3.6.9-151.el6_4.1.x86_64
samba-winbind-clients-3.6.9-151.el6_4.1.x86_64
selinux-policy-3.7.19-195.el6_4.12.noarch
selinux-policy-targeted-3.7.19-195.el6_4.12.noarch

afterwards I started nmb (without any changes to configuration files):
[root@C6-64 ~]# tail /var/log/samba/log.nmbd
[2013/09/29 10:17:25, 0] nmbd/nmbd.c:861(main)
  nmbd version 3.6.9-151.el6_4.1 started.
  Copyright Andrew Tridgell and the Samba Team 1992-2011
[2013/09/29 10:17:58, 0] nmbd/nmbd_become_lmb.c:397(become_local_master_stage2)
  *****
  
  Samba name server C6-64 is now a local master browser for workgroup MYGROUP on subnet 192.168.1.4
  
  *****

so far it is running fine.
ls -al /var
[root@C6-64 ~]# ls -al /var
total 92
drwxr-xr-x. 23 root root 4096 Sep 29 10:17 .
dr-xr-xr-x. 25 root root 4096 Sep 29 10:18 ..
...
drwxr-xr-x. 2 root root 4096 Sep 29 10:17 nmbd
...

When I change the permissions to match yours (777), I get:
[2013/09/29 10:23:34, 0] lib/util_sock.c:1343(create_pipe_sock)
  invalid permissions on socket directory /var/nmbd

So I please try to change the permissions of /var/nmbd to 755
arm

arm

2013-09-29 11:50

reporter   ~0018106

It is working now, many thanks, this is the output now:
[root@localhost /]# chmod 755 /var/nmbd
[root@localhost /]# service nmb start
Iniciando servicios NMB: [ OK ]
[root@localhost /]# service nmb status
Se está ejecutando nmbd (pid 31265)...
tigalch

tigalch

2013-09-29 12:04

manager   ~0018107

Marking as SOLVED per reporters feedback.

Issue History

Date Modified Username Field Change
2013-09-27 13:12 arm New Issue
2013-09-27 15:30 toracat Note Added: 0018081
2013-09-27 15:30 toracat Status new => feedback
2013-09-27 15:57 arm Note Added: 0018083
2013-09-27 15:57 arm Status feedback => assigned
2013-09-27 16:14 toracat Note Added: 0018085
2013-09-27 17:01 arm Note Added: 0018088
2013-09-27 17:16 arm Note Added: 0018089
2013-09-27 17:39 toracat Note Added: 0018090
2013-09-27 17:56 arm Note Added: 0018091
2013-09-27 18:27 toracat Note Edited: 0018090 View Revisions
2013-09-27 18:39 tigalch Note Added: 0018092
2013-09-27 18:53 arm Note Added: 0018094
2013-09-27 18:57 tigalch Note Added: 0018095
2013-09-27 19:04 arm Note Added: 0018096
2013-09-28 12:46 arm Note Added: 0018099
2013-09-28 17:52 tigalch Note Added: 0018100
2013-09-28 19:44 arm Note Added: 0018101
2013-09-28 19:57 tigalch Note Added: 0018103
2013-09-28 21:08 arm Note Added: 0018104
2013-09-29 08:26 tigalch Note Added: 0018105
2013-09-29 08:26 tigalch Status assigned => feedback
2013-09-29 11:50 arm Note Added: 0018106
2013-09-29 11:50 arm Status feedback => assigned
2013-09-29 12:04 tigalch Note Added: 0018107
2013-09-29 12:04 tigalch Status assigned => resolved
2013-09-29 12:04 tigalch Resolution open => no change required